# coding: utf-8
import hashlib
import getpass
import os
import time


__version__ = "0.30.7"
ARGS_FILE_PATH = "./_args"
IMG_DIR_PATH = "./images"
TMP_DIR_PATH = "./tmp_data"

USER = getpass.getuser() or os.getlogin() or os.getenv(
    "USER", default="UNKNOWN")
USER_HASH = int(str(int(hashlib.md5(USER.encode()).hexdigest(), 16))[-5:])
__PIP_PACKAGE_NAME__ = "ta-report"
EXCEL_MAX_ROWS = 1000
IMG_MAX_DOWNLOAD = 0
START_TIME_S = time.time()
CWD = os.getcwd()
SESSION_ID = int(START_TIME_S) * 10**6 + USER_HASH
CLI_REPORTS = ("keywords", "search_queries", "mobile")
